Gönderen Konu: Android kullanıcıdan kullanıcıya veri aktarımında server şart mı ?  (Okunma sayısı 1888 defa)

Çevrimdışı muhendisbey

  • Profesyonel Üye
  • *****
  • İleti: 2643
Database gerekmeyebilir. Telefonda ayarları sakladığın bir config dosyası tutabilirsin.
Zulmü alkışlayamam, zalimi asla sevemem; Gelenin keyfi için geçmişe kalkıp sövemem.

Çevrimdışı unknownperson

  • Kıdemli
  • ****
  • İleti: 406
@kimlenbu Hocam aslında şöyle bir sıkıntım var. Uygulamam ses kaydı yapıyor normalde doğru çalışıyor ama uygulamadan geri tuşuyla çıkıyorum tekrar uygulamaya girip tekrar geri tuşuyla çıkınca ses kaydı yapacağı sırada Unfortunately, " " has stopped gibi bir hata veriyor dediğiniz gibi araştırdım eventleri onBackPressed() içine Resume'de ekledim gene veriyor aynı hatayı.

Çevrimdışı unknownperson

  • Kıdemli
  • ****
  • İleti: 406
@muhendisbey  Benimde aklıma o geldi bir config.txt gibi bir dosya oluşturup kişinin tüm bilgilerini ayarlarını yazıp çekerek ayarlayabilirim diye düşündüm.

Çevrimdışı unknownperson

  • Kıdemli
  • ****
  • İleti: 406
Sorularıma buradan devam etsem sorun olmaz diye düşündüm. Bu android'de API olayında bazı sıkıntılar yaşıyorum bir uygulama samsung s3'te çalışırken s7'de çalışmıyor uygulamada butona basınca menü açılmıyor gibi durumlarla karşılaşıyorum. Android manifest dosyamda herhangi bir API sınırım yok eklesem dahi gene düzelme olmadı. Hem API'si düşük telefonda çalışıyorsa yüksek olanda hayda hayda çalışması gerekmez mi ?


İkinci sorunum setChecked() kullanımımda amacım kalan son switch konumumu bellekte tutup tekrar çekip başlangıçta kullanmak, sorun var hata vermiyor ama altı kırmızı çizili ve şu not yazıyor(manifest dosyasına min 14 API level verdim düzelmedi) :


        Call requires API level 14 (current min is 9): android.widget.Switch#setChecked less... (Ctrl+F1)  This check scans through all the Android API calls in the application and warns about any calls that are not available on all versions targeted by this application (according to its minimum SDK attribute in the manifest).

If you really want to use this API and don't need to support older devices just set the minSdkVersion in your build.gradle or AndroidManifest.xml files.

If your code is deliberately accessing newer APIs, and you have ensured (e.g. with conditional execution) that this code will only ever be called on a supported platform, then you can annotate your class or method with the @TargetApi annotation specifying the local minimum SDK to apply, such as @TargetApi(11), such that this check considers 11 rather than your manifest file's minimum SDK as the required API level.

If you are deliberately setting android: attributes in style definitions, make sure you place this in a values-vNN folder in order to avoid running into runtime conflicts on certain devices where manufacturers have added custom attributes whose ids conflict with the new ones on later platforms.

Similarly, you can use tools:targetApi="11" in an XML file to indicate that the element will only be inflated in an adequate context.     


Kodumun o kısmı şöyle:
Kod: [Seç]
SliderSwitch = (Switch) findViewById(R.id.switch1);deneme = (TextView) findViewById(R.id.textView2);
SharedPreferences preferences = getPreferences(MODE_PRIVATE);
ExistOrNotInPreference = preferences.getBoolean("switchstate",Boolean.TRUE); //Boolean.TRUE
if(ExistOrNotInPreference){
    SliderSwitch.setChecked(SettingMemoryTransfer.GetLoadBoolean(getApplicationContext(), "switchstate"));
    SwitchState= SettingMemoryTransfer.GetLoadBoolean(getApplicationContext(), "switchstate");
}
else{
    SwitchState= Boolean.FALSE;
}

Çevrimdışı muhendisbey

  • Profesyonel Üye
  • *****
  • İleti: 2643
API versiyonun desteklemiyor. Daha üst versiyon kullanman gerektiğini bildiriyor.
Yüksek API'lerde olan özellikler daha düşük apilerde olmayabiliyor.


Android'in en büyük handikaplarından normalde çalışması gereken bazı özellikler versiyondan bağımsız cihazın birinde çalışırken diğerinde çalışmayabiliyor. O nedenle yazılımlar birçok cihaz üzerinde test edildikten sonra konulması gerekiyor. Atıyorum zenfone 3 android 7 olan bir cihazda çalışan uygulama da samsungun android 7 olan cihazında sorun çıkartabiliyor.
Zulmü alkışlayamam, zalimi asla sevemem; Gelenin keyfi için geçmişe kalkıp sövemem.

Çevrimdışı unknownperson

  • Kıdemli
  • ****
  • İleti: 406
@muhendisbey  Bana saçma gelen şu şimdi ben birinde çalışıp diğerinde sorun çıkaran kısmı nasıl bulabileceğim ?(Sanırım her telefon için breakpoint koyup bakacağım) Peki 0 warning 0 error olursa tüm telefonlarda çalışır mı ?

Çevrimdışı muhendisbey

  • Profesyonel Üye
  • *****
  • İleti: 2643
Garantisi yok.


Benim başıma gelmedi ama nereden biliyorum?
Google play'e girerseniz bazı uygulamaların belirli telefonlarda yüklenebilse bile sorun çıkarttığını yazmışlar. Telefona konulan bazı ek yazılımlarla da ilgili olabilir bundan pek emin değilim.
Zulmü alkışlayamam, zalimi asla sevemem; Gelenin keyfi için geçmişe kalkıp sövemem.